Update a lead source
curl --request PATCH \
--url https://api.impellabs.tech/api/v1/lead-sources/{source_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"on": true,
"fields": [
{}
],
"mapping": {},
"values": {},
"owner_id": "<string>",
"design": {},
"slug": "<string>"
}
'import requests
url = "https://api.impellabs.tech/api/v1/lead-sources/{source_id}"
payload = {
"name": "<string>",
"on": True,
"fields": [{}],
"mapping": {},
"values": {},
"owner_id": "<string>",
"design": {},
"slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
on: true,
fields: [{}],
mapping: {},
values: {},
owner_id: '<string>',
design: {},
slug: '<string>'
})
};
fetch('https://api.impellabs.tech/api/v1/lead-sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/lead-sources/{source_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'on' => true,
'fields' => [
[
]
],
'mapping' => [
],
'values' => [
],
'owner_id' => '<string>',
'design' => [
],
'slug' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/lead-sources/{source_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"on\": true,\n \"fields\": [\n {}\n ],\n \"mapping\": {},\n \"values\": {},\n \"owner_id\": \"<string>\",\n \"design\": {},\n \"slug\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.impellabs.tech/api/v1/lead-sources/{source_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"on\": true,\n \"fields\": [\n {}\n ],\n \"mapping\": {},\n \"values\": {},\n \"owner_id\": \"<string>\",\n \"design\": {},\n \"slug\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/lead-sources/{source_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"on\": true,\n \"fields\": [\n {}\n ],\n \"mapping\": {},\n \"values\": {},\n \"owner_id\": \"<string>\",\n \"design\": {},\n \"slug\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyLead sources
Update a lead source
Changes the name, the switch, the fields, the mapping, the fixed values or the owner. A form also takes design and slug. Only an owner or an admin can use this call.
PATCH
/
api
/
v1
/
lead-sources
/
{source_id}
Update a lead source
curl --request PATCH \
--url https://api.impellabs.tech/api/v1/lead-sources/{source_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"on": true,
"fields": [
{}
],
"mapping": {},
"values": {},
"owner_id": "<string>",
"design": {},
"slug": "<string>"
}
'import requests
url = "https://api.impellabs.tech/api/v1/lead-sources/{source_id}"
payload = {
"name": "<string>",
"on": True,
"fields": [{}],
"mapping": {},
"values": {},
"owner_id": "<string>",
"design": {},
"slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
on: true,
fields: [{}],
mapping: {},
values: {},
owner_id: '<string>',
design: {},
slug: '<string>'
})
};
fetch('https://api.impellabs.tech/api/v1/lead-sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/lead-sources/{source_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'on' => true,
'fields' => [
[
]
],
'mapping' => [
],
'values' => [
],
'owner_id' => '<string>',
'design' => [
],
'slug' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/lead-sources/{source_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"on\": true,\n \"fields\": [\n {}\n ],\n \"mapping\": {},\n \"values\": {},\n \"owner_id\": \"<string>\",\n \"design\": {},\n \"slug\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.impellabs.tech/api/v1/lead-sources/{source_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"on\": true,\n \"fields\": [\n {}\n ],\n \"mapping\": {},\n \"values\": {},\n \"owner_id\": \"<string>\",\n \"design\": {},\n \"slug\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/lead-sources/{source_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"on\": true,\n \"fields\": [\n {}\n ],\n \"mapping\": {},\n \"values\": {},\n \"owner_id\": \"<string>\",\n \"design\": {},\n \"slug\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
Response
Success